.final-price .price-value:before{color: #fff !important; content:"█"; font-family: "DDC Body Font Face",Georgia,"Times New Roman",Times,serif;font-size: 3rem; line-height: 1 !important; font-weight: 900 !important; position: relative; left:12.5px; top: 2.2px;}
.final-price.internetPrice{margin-top: 4.87px; margin-bottom: 0px !important;}
.final-price .price-label{padding-top: 5px !important; line-height: 2.5 !important; }
.final-price .price-value{font-size: 18px;}
.ddc-font-size-xlarge .p-0.text-left.bg-transparent.border-0:before{color: #fff !important; content:"█"; font-family: "DDC Body Font Face",Georgia,"Times New Roman",Times,serif;font-size: 3.5rem; line-height:.5 !important; font-weight: 900 !important; position: relative; left:15px; top: 1.95px;}
.pricing-detail.final-price{flex-wrap: nowrap;}

.CTA-split {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 10px;
  }
  .BMW-CTA {
    text-decoration: none !important;
    flex: 1 1 300px;
    background-color: #1C69D3;
    color: white;
    width: 100%;
    padding: 12px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    margin: 4px 2px;
    cursor: pointer;
    border: 4px solid #fff;
  }
  .BMW-CTA button {
    all: unset;
    cursor: pointer;
  }